# $Id: lbreakout2.spec,v 1.4 2002/09/23 15:02:08 dude Exp $

Summary: A breakout-style arcade game for Linux.
Name: lbreakout2
Version: 2.3.5
Release: fr1
License: GPL
Group: Amusements/Games
Source: http://prdownloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
URL: http://www.lgames.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.5, SDL_mixer
BuildRequires: SDL-devel, SDL_mixer-devel

%description
A breakout-style arcade game for Linux that uses the SDL.

%prep
%setup -q

%build
%configure \
	--with-highscore-path=%{_localstatedir}/lib/games \
	--with-doc-path=%{_docdir}
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/lib/games
make install DESTDIR=%{buildroot}

# Put the doc back into place
mv %{buildroot}%{_docdir}/%{name} doc

# Create the system menu entry
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games/
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=LBreakout 2
Comment=%{summary}
Exec=lbreakout2
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO doc/
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}*
%{_datadir}/games/%{name}
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/%{name}.hscr

%changelog
* Mon Sep 23 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.5.

* Tue Sep 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.3.

* Tue Sep 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.3.

* Mon Aug 19 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.2.

* Wed Aug 14 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.3.1.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Sun Feb 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.2.

* Tue Feb  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.1.

* Mon Jan 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.2.

* Sun Jan  6 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.2.

* Tue Jan  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.1.1.

* Sat Dec  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0.1.

* Thu Nov 29 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0-pre2.

* Thu Nov 22 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 2.0beta2.

* Tue Apr 10 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010315.

* Mon Nov 27 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

